Use activerecord-import for bulk importing tracepoint records
[rails.git] / Gemfile
1 source "https://rubygems.org"
2
3 # Require rails
4 gem "rails", "5.2.2.1"
5
6 # Require things which have moved to gems in ruby 1.9
7 gem "bigdecimal", "~> 1.1.0", :platforms => :ruby_19
8
9 # Require things which have moved to gems in ruby 2.0
10 gem "psych", :platforms => :ruby_20
11
12 # Require json for multi_json
13 gem "json"
14
15 # Use postgres as the database
16 gem "pg", "~> 0.18"
17
18 # Use SCSS for stylesheets
19 gem "sassc-rails"
20
21 # Use Uglifier as compressor for JavaScript assets
22 gem "uglifier", ">= 1.3.0"
23
24 # Use CoffeeScript for .js.coffee assets and views
25 gem "coffee-rails", "~> 4.2"
26
27 # Use jquery as the JavaScript library
28 gem "jquery-rails"
29
30 # Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
31 # gem 'jbuilder', '~> 2.0'
32 gem "jsonify-rails"
33
34 # Reduces boot times through caching; required in config/boot.rb
35 gem "bootsnap", ">= 1.1.0", :require => false
36
37 # Use R2 for RTL conversion
38 gem "r2", "~> 0.2.7"
39
40 # Use autoprefixer to generate CSS prefixes
41 gem "autoprefixer-rails", "~> 8.6.3"
42
43 # Use image_optim to optimise images
44 gem "image_optim_rails"
45
46 # Load rails plugins
47 gem "actionpack-page_caching"
48 gem "active_record_union"
49 gem "activerecord-import"
50 gem "cancancan"
51 gem "composite_primary_keys", "~> 11.1.0"
52 gem "config"
53 gem "delayed_job_active_record"
54 gem "dynamic_form"
55 gem "http_accept_language", "~> 2.0.0"
56 gem "i18n-js", ">= 3.0.0"
57 gem "oauth-plugin", ">= 0.5.1"
58 gem "openstreetmap-deadlock_retry", ">= 1.3.0", :require => "deadlock_retry"
59 gem "paperclip", "~> 5.2"
60 gem "rack-cors"
61 gem "rails-i18n", "~> 4.0.0"
62 gem "record_tag_helper"
63 gem "rinku", "= 2.0.4", :require => "rails_rinku"
64 gem "validates_email_format_of", ">= 1.5.1"
65
66 # Native OSM extensions
67 gem "quad_tile", "~> 1.0.1"
68
69 # Sanitise URIs
70 gem "rack-uri_sanitizer"
71
72 # Omniauth for authentication
73 gem "omniauth"
74 gem "omniauth-facebook"
75 gem "omniauth-github"
76 gem "omniauth-google-oauth2", ">= 0.6.0"
77 gem "omniauth-mediawiki", ">= 0.0.4"
78 gem "omniauth-openid"
79 gem "omniauth-windowslive"
80
81 # Markdown formatting support
82 gem "kramdown"
83
84 # For status transitions of Issues
85 gem "aasm"
86
87 # Load libxml support for XML parsing and generation
88 gem "libxml-ruby", ">= 2.0.5", :require => "libxml"
89
90 # Use for HTML sanitisation
91 gem "htmlentities"
92 gem "sanitize"
93
94 # Load SystemTimer for implementing request timeouts
95 gem "SystemTimer", ">= 1.1.3", :require => "system_timer", :platforms => :ruby_18
96
97 # Load faraday for mockable HTTP client
98 gem "faraday"
99
100 # Load geoip for querying Maxmind GeoIP database
101 gem "geoip"
102
103 # Load rotp to generate TOTP tokens
104 gem "rotp"
105
106 # Load memcache client in case we are using it
107 gem "dalli"
108 gem "kgio"
109
110 # Load secure_headers for Content-Security-Policy support
111 gem "secure_headers"
112
113 # Load canonical-rails to generate canonical URLs
114 gem "canonical-rails"
115
116 # Used to generate logstash friendly log files
117 gem "logstasher"
118
119 # Used to generate images for traces
120 gem "gd2-ffij"
121
122 # Used for browser detection
123 gem "browser"
124
125 # Gems useful for development
126 group :development do
127   gem "annotate"
128   gem "better_errors"
129   gem "binding_of_caller"
130   gem "listen"
131   gem "vendorer"
132 end
133
134 # Gems needed for running tests
135 group :test do
136   gem "fakefs", :require => "fakefs/safe"
137   gem "minitest", "~> 5.1", :platforms => [:ruby_19, :ruby_20]
138   gem "rails-controller-testing"
139   gem "rubocop"
140   gem "webmock"
141 end
142
143 # Needed in development as well so rake can see konacha tasks
144 group :development, :test do
145   gem "capybara", "~> 2.13"
146   gem "coveralls", :require => false
147   gem "factory_bot_rails"
148   gem "jshint"
149   gem "poltergeist"
150   gem "puma", "~> 3.7"
151 end